- if any_project_nav_tab?([:security, :dependencies, :licenses])
  - top_level_link = project_nav_tab?(:security) ? project_security_dashboard_index_path(@project) : project_dependencies_path(@project)
  - top_level_qa_selector = project_nav_tab?(:security) ? 'security_dashboard_link' : 'dependency_list_link'

  = nav_link(path: sidebar_security_paths) do
    = link_to top_level_link, data: { qa_selector: top_level_qa_selector } do
      .nav-icon-container
        = sprite_icon('shield')
      %span.nav-item-name
        = _('Security & Compliance')

    %ul.sidebar-sub-level-items
      = nav_link(path: sidebar_security_paths, html_options: { class: "fly-out-top-item" } ) do
        = link_to top_level_link do
          %strong.fly-out-top-item-name
            = _('Security & Compliance')

      %li.divider.fly-out-top-item
      - if project_nav_tab?(:security)
        = nav_link(path: 'projects/security/dashboard#index') do
          = link_to project_security_dashboard_index_path(@project), title: _('Security Dashboard') do
            %span= _('Security Dashboard')

      - if project_nav_tab?(:security) && Feature.enabled?(:first_class_vulnerabilities, @project, default_enabled: true)
        = nav_link(path: 'projects/security/vulnerabilities#index') do
          = link_to project_security_vulnerabilities_path(@project), title: _('Vulnerability List') do
            %span= _('Vulnerability List')

      - if project_nav_tab?(:dependencies)
        = nav_link(path: 'projects/dependencies#index') do
          = link_to project_dependencies_path(@project), title: _('Dependency List'), data: { qa_selector: 'dependency_list_link' } do
            %span= _('Dependency List')

      - if project_nav_tab?(:licenses)
        = nav_link(path: 'projects/licenses#index') do
          = link_to project_licenses_path(@project), title: _('License Compliance'), data: { qa_selector: 'licenses_list_link' } do
            %span= _('License Compliance')

      - if project_nav_tab?(:threat_monitoring)
        = nav_link(path: 'projects/threat_monitoring#show') do
          = link_to project_threat_monitoring_path(@project), title: _('Threat Monitoring') do
            %span= _('Threat Monitoring')

      - if project_nav_tab?(:security_configuration)
        = nav_link(path: 'projects/security/configuration#show') do
          = link_to project_security_configuration_path(@project), title: _('Configuration'), data: { qa_selector: 'security_configuration_link'} do
            %span= _('Configuration')

- elsif show_discover_project_security?(@project)
  = nav_link(path: project_security_discover_path(@project)) do
    = link_to project_security_discover_path(@project) do
      .nav-icon-container
        = sprite_icon('shield')
      %span.nav-item-name
        = _('Security & Compliance')
